<template src="./template.html"></template>

<script lang="ts">
import _ from "lodash";
import { Component, Vue, Watch } from "nuxt-property-decorator";
import { apiErrorHandler } from "~/utils/apiHanlers";
import { getTimeZone, getUnixFrom, getUnixTo } from "~/utils/timeZone";
var momentz = require("moment-timezone");
var moment = require("moment");
@Component({
  components: {
    ReportByUTM: () =>
      import("@/components/Seller/Analytics/Sessions/ReportByUTM/index.vue"),
    ReportByDomain: () =>
      import("@/components/Seller/Analytics/Sessions/ReportByDomain/index.vue"),
  },
})
export default class DashboardComponent extends Vue {
  tab = 0;
  exportData = false;

  listDomain = [];
  listUtm = [];

  json_fields = {};
  json_data: any = [];
  json_meta = [
    [
      {
        key: "charset",
        value: "utf-8",
      },
    ],
  ];

  // settings: any = {};

  get timeActive() {
    return this.$store.state.setting.timeActive;
  }

  set timeActive(value: string) {
    this.$store.commit("setting/setTimeActive", value);
  }

  get timezone() {
    return this.$store.state.setting.timezone;
  }

  get siteInfo() {
    return this.$store.state.setting.siteInfo;
  }

  get from() {
    return this.$store.state.setting.from;
  }

  get to() {
    return this.$store.state.setting.to;
  }
  fetchData() {}
  onExportFile() {}

  onFilterByTime(time: string) {
    this.$store.commit("setting/setFilterByTime", { time });
  }
}
</script>

<style></style>
